SingularAttributeNature (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.source.binder
Enum SingularAttributeNature

    java.lang.Object
      java.lang.Enum<SingularAttributeNature>
          org.hibernate.metamodel.source.binder.SingularAttributeNature

All Implemented Interfaces:
  Serializable, Comparable<SingularAttributeNature>

    public enum SingularAttributeNature

extends Enum<SingularAttributeNature>

Describes the understood natures of a singular attribute.

Enum Constant Summary
`ANY`
`BASIC`
`COMPONENT`
`MANY_TO_ONE`
`ONE_TO_ONE`

Method Summary
`static SingularAttributeNature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SingularAttributeNature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final SingularAttributeNature BASIC

### COMPONENT

    public static final SingularAttributeNature COMPONENT

### MANY_TO_ONE

    public static final SingularAttributeNature MANY_TO_ONE

### ONE_TO_ONE

    public static final SingularAttributeNature ONE_TO_ONE

### ANY

    public static final SingularAttributeNature ANY

Method Detail

### values

    public static SingularAttributeNature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SingularAttributeNature c : SingularAttributeNature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SingularAttributeNature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.